org.h2gis.functions.spatial.crs

## Class ST_Transform.CopCache

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap<K,V>
    - - java.util.LinkedHashMap<EPSGTuple,org.cts.op.CoordinateOperation>
      - - org.h2gis.functions.spatial.crs.ST_Transform.CopCache

All Implemented Interfaces:
  Serializable, Cloneable, Map<EPSGTuple,org.cts.op.CoordinateOperation>

Enclosing class:
  ST_Transform

    public static class ST_Transform.CopCache
    extends LinkedHashMap<EPSGTuple,org.cts.op.CoordinateOperation>

A simple cache to manage `CoordinateOperation`

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class java.util.AbstractMap

`AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

### Constructor Summary

Constructors
Constructor and Description
`CopCache(int limit)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected boolean` `removeEldestEntry(Map.Entry<EPSGTuple,org.cts.op.CoordinateOperation> eldest)`

### Methods inherited from class java.util.LinkedHashMap

`clear, containsValue, entrySet, forEach, get, getOrDefault, keySet, replaceAll, values`

### Methods inherited from class java.util.HashMap

`clone, compute, computeIfAbsent, computeIfPresent, containsKey, isEmpty, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, size`

### Methods inherited from class java.util.AbstractMap

`equals, hashCode, toString`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Map

`compute, computeIfAbsent, computeIfPresent, containsKey, equals, hashCode, isEmpty, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, size`

### Constructor Detail

#### CopCache

    public CopCache(int limit)

### Method Detail

#### removeEldestEntry

    protected boolean removeEldestEntry(Map.Entry<EPSGTuple,org.cts.op.CoordinateOperation> eldest)

Overrides:
  `removeEldestEntry` in class `LinkedHashMap<EPSGTuple,org.cts.op.CoordinateOperation>`